POST
https://api.cryptohopper.com/v1/hopper/{id}/papertrading/deposit
Adds funds of one currency to the paper trading account of the hopper and refreshes its balances.
Only for hoppers with paper trading enabled.
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/deposit" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"coin":"USDT","amount":1000}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/deposit', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"coin": "USDT",
"amount": 1000
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/deposit",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"coin": "USDT",
"amount": 1000
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/deposit');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'coin' => 'USDT',
'amount' => 1000,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
coin | string | Required | |
amount | number | Required | Minimum 0. |
Response
{
"data": "1000 USDT successfully deposited to account."
}